UpdateBareMetal2ProvisionNetwork
UpdateBareMetal2ProvisionNetwork
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe deployment network UUID.
Body Fields
updatebaremetal2provisionnetworkObjectRequiredupdatebaremetal2provisionnetwork request body object.
nameStringOptional. The deployment network name.
descriptionStringOptional. The detailed description of the deployment network.
dhcpInterfaceStringOptional. The name of the DHCP NIC.
dhcpRangeStartIpStringOptional. The starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndIpStringOptional. The ending IP address that DHCP assigns to a bare metal instance.
dhcpRangeNetmaskStringOptional. The netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.
dhcpRangeGatewayStringOptional. The gateway IP address.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal2/provision-networks/{uuid}/actions
/zstack/v1/baremetal2/provision-networks/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal2/provision-networks/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetal2provisionnetwork":{"name":"<name>","description":"<description>","dhcpInterface":"<dhcpInterface>","dhcpRangeStartIp":"<dhcpRangeStartIp>","dhcpRangeEndIp":"<dhcpRangeEndIp>","dhcpRangeNetmask":"<dhcpRangeNetmask>","dhcpRangeGateway":"<dhcpRangeGateway>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "71a316af965a48949b55603ab30be6e8", "zoneUuid": "c052ae4b7fa447848f25e1c7fab543d2", "name": "BM_PROVISION_NETWORK", "description": "This is a bare metal provision network.", "dhcpInterface": "eth0", "dhcpRangeStartIp": "192.168.0.10", "dhcpRangeEndIp": "192.168.0.100", "dhcpRangeNetmask": "255.255.255.0", "dhcpRangeGateway": "192.168.0.1", "dhcpRangeNetworkCidr": "192.168.0.10/24", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
